Package com.mckoi.tools

## Class JDBCScriptTool

- java.lang.Object
- - com.mckoi.tools.JDBCScriptTool

    public class JDBCScriptTool
    extends java.lang.Object

A tool that reads an input SQL script and output information for the result either to an output file or through System.out. This is a useful command line tool that can be used for regression testing and database diagnostics (as well as for basic SQL scripting needs).

This class is able to output result sets in textual form.

Author:
  Tobias Downer

### Constructor Summary

Constructors
`JDBCScriptTool​(java.io.Reader input, java.io.PrintWriter output)` Constructs the tool.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.sql.Connection[]` `evaluate​(java.sql.Connection connection, java.lang.String url, java.lang.String username, java.lang.String password)` Evaluates the input script and outputs the result to the output stream.
`static void` `main​(java.lang.String[] args)` The application start point.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JDBCScriptTool

    public JDBCScriptTool​(java.io.Reader input,
                          java.io.PrintWriter output)

Constructs the tool.

### Method Detail

#### evaluate

    public java.sql.Connection[] evaluate​(java.sql.Connection connection,
                                          java.lang.String url,
                                          java.lang.String username,
                                          java.lang.String password)
                                   throws java.io.IOException

Evaluates the input script and outputs the result to the output stream. Returns the list of Connections established.

Throws:
  `java.io.IOException`

#### main

    public static void main​(java.lang.String[] args)

The application start point.